<ui:composition xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml" xmlns:rich="http://richfaces.org/rich">
    <div class="form-horizontal">
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.EstablismentOfOrigin']}</ui:define>
            <ui:param name="id" value="zfv1Input"/>
            <h:selectOneMenu value="#{zfv.establishmentOfOrigin}"
                             id="zfv1Input" styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{valueSet.getListOfConcepts('FACILITY')}"/>
                <a4j:ajax event="change" listener="#{zfv.setAddressForEstablishmentOfOrigin()}"
                    render="zfv2Input"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.AddressOfTheEstablismentOfOrigin']}</ui:define>
            <ui:param name="id" value="zfv2Input"/>
            <h:inputText value="#{zfv.establishmentOfOriginAddress}"
                         id="zfv2Input" styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.LastVisitDate']}</ui:define>
            <ui:param name="id" value="zfv3Input"/>
            <rich:calendar value="#{zfv.lastVisitDate}" locale="#{localeSelector.localeString}"
                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="false"
                           id="zfv3Input"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.DischargeTransportMode']}</ui:define>
            <ui:param name="id" value="zfv4Input"/>
            <h:selectOneMenu value="#{zfv.transportMode}"
                             id="zfv4Input" styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{valueSet.getListOfConcepts('HL70430')}"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.PlacementStartDate']}</ui:define>
            <ui:param name="id" value="zfv5Input"/>
            <rich:calendar value="#{zfv.placementStartDate}" locale="#{localeSelector.localeString}"
                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" id="zfv5Input"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.PlacementEndDate']}</ui:define>
            <ui:param name="id" value="zfv6Input"/>
            <rich:calendar value="#{zfv.placementEndDate}" locale="#{localeSelector.localeString}"
                           datePattern="dd/MM/yyyy HH:mm" showApplyButton="false" id="zfv6Input"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.simulators.EstablishmentOfDestination']}</ui:define>
            <ui:param name="id" value="zfv7bInput"/>
            <h:selectOneMenu value="#{zfv.establishmentOfDestination}"
                             id="zfv7bInput" styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{valueSet.getListOfConcepts('FACILITY')}"/>
                <a4j:ajax event="change" listener="#{zfv.setAddressForEstablishmentOfDestination()}"
                          render="zfv7Input"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.AddressOfTheEstablismentOfDestination']}</ui:define>
            <ui:param name="id" value="zfv7Input"/>
            <h:inputText value="#{zfv.establishmentOfDestinationAddress}"
                             id="zfv7Input" styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.EstablismentOfOriginAccountNumber']}</ui:define>
            <ui:param name="id" value="zfv8Input"/>
            <h:inputText value="#{zfv.originAccountNumber}" id="zfv8Input" styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.PersonalizedDischargeMode']}</ui:define>
            <ui:param name="id" value="zfv9Input"/>
            <h:inputText value="#{zfv.dischargeMode}" id="zfv9Input" styleClass="form-control"/>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.LegalCareMode']}</ui:define>
            <ui:param name="id" value="zfv10Input"/>
            <h:selectOneMenu value="#{zfv.legalCareMode}"
                             id="zfv10Input" styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{valueSet.getListOfConcepts('HL73302')}"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:define name="label">#{messages['gazelle.pam.CareDuringTransport']}</ui:define>
            <ui:param name="id" value="zfv11Input"/>
            <h:selectOneMenu value="#{zfv.careDuringTransport}"
                             id="zfv11Input" styleClass="form-control gzl-select-text">
                <f:selectItems
                        value="#{valueSet.getListOfConcepts('HL73306')}"/>
            </h:selectOneMenu>
        </ui:decorate>
    </div>
</ui:composition>